> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 反向链接摘要

> 此端点将提供给定域名、子域名或网页的可用反向链接数据概览。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/backlinks/summary/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/backlinks/summary/live:
    post:
      summary: 反向链接摘要
      description: 此端点将提供给定域名、子域名或网页的可用反向链接数据概览。
      operationId: post_dataforseo_backlinks_summary_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                target:
                  type: string
                  description: >-
                    要获取数据的域名、子域名或网页；必填字段；域名或子域名应在不包含 https:// 和 www.
                    的情况下指定；页面应使用绝对 URL（包括 http:// 或 https://）指定
                include_subdomains:
                  type: boolean
                  description: 指示搜索是否包含目标的子域名。可选字段。如果设为 false，将忽略子域名。默认值：true
                include_indirect_links:
                  type: boolean
                  description: >-
                    指示结果中是否包含指向目标的间接链接；可选字段；如果设置为
                    true，结果将包含指向某个页面的间接链接数据，该页面会重定向到目标或指向规范页面；如果设置为
                    false，则忽略间接链接；默认值：true
                exclude_internal_backlinks:
                  type: boolean
                  description: >-
                    指示是否从结果中排除子域名指向目标的内部反向链接；可选字段；如果设置为 true，结果将不包含与 target
                    同一域名下的子域名所产生的内部反向链接数据；如果设置为 false，结果将包含内部链接；默认值：true
                internal_list_limit:
                  type: integer
                  description: >-
                    内部数组中的最大元素数量；可选字段；您可以使用此字段限制以下数组中的元素数量：referring_links_tld
                    referring_links_types referring_links_attributes
                    referring_links_platform_types
                    referring_links_semantic_locations；默认值：10；最大值：1000
                backlinks_status_type:
                  type: string
                  description: >-
                    设置要返回和统计的反向链接；可选字段。您可以使用此字段选择要为目标返回并用于汇总指标的反向链接；可选值：all –
                    返回并统计所有反向链接；live – 返回并统计最近一次检查中发现的反向链接；lost –
                    返回并统计已丢失的反向链接；默认值：live
                backlinks_filters:
                  type: array
                  items:
                    type: string
                  description: >-
                    目标反向链接过滤器，可选字段。您可以使用此字段筛选将纳入数据集、用于计算目标聚合指标的初始反向链接。您可以按此端点响应中提供的所有字段筛选反向链接。使用此参数，您可以仅在响应中包含
                    dofollow 反向链接，并创建灵活的反向链接数据集来计算指标。例如："backlinks_filters":
                    ["dofollow", "=", true]
                rank_scale:
                  type: string
                  description: >-
                    定义用于计算和显示 rank、domain_from_rank 和 page_from_rank
                    值的刻度，可选字段。可以使用此参数选择以 0–100 或 0–1000 刻度显示排名值。可用值：one_hundred
                    — 排名值以 0–100 刻度显示；one_thousand — 排名值以 0–1000
                    刻度显示。默认值：one_thousand。有关此参数的工作方式及排名指标计算方法的更多信息，请参阅此帮助中心文章
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - target
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.target:
                    type: string
                    description: POST 数组中的目标
                  tasks.result.first_seen:
                    type: string
                    description: >-
                      我们的爬虫首次发现目标的反向链接时的日期和时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00” 示例：2019-11-15 12:57:46 +00:00
                  tasks.result.lost_date:
                    type: string
                    description: >-
                      反向链接丢失的日期和时间，表示我们的抓取工具访问目标时，目标返回了 4xx 或 5xx
                      状态码，或者其最后一个反向链接被移除的日期和时间。采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”。示例：2019-11-15 12:57:46 +00:00
                  tasks.result.rank:
                    type: integer
                    description: 目标排名；有关此指标及其计算方式的更多信息，请参阅此帮助中心文章
                  tasks.result.backlinks:
                    type: integer
                    description: 表示反向链接的数量
                  tasks.result.backlinks_spam_score:
                    type: integer
                    description: >-
                      反向链接的垃圾评分
                      显示指向目标域名、子域名或网页的所有反向链接的总垃圾评分；有关此指标计算方式的更多信息，请参阅此帮助中心页面
                  tasks.result.crawled_pages:
                    type: integer
                    description: 目标的已抓取页面数
                  tasks.result.info:
                    type: object
                    description: 目标相关信息
                  tasks.result.info.server:
                    type: string
                    description: 服务器
                  tasks.result.info.cms:
                    type: string
                    description: 内容管理系统
                  tasks.result.info.platform_type:
                    type: array
                    items:
                      type: string
                    description: 平台类型
                  tasks.result.info.ip_address:
                    type: string
                    description: 目标的 IP 地址
                  tasks.result.info.country:
                    type: string
                    description: 确定目标域名所属国家/地区的国家/地区代码
                  tasks.result.info.is_ip:
                    type: boolean
                    description: 指示目标是否为 IP；如果为 true，则该域名、子域名或网页以 IP 地址形式运行，且没有域名
                  tasks.result.info.target_spam_score:
                    type: integer
                    description: >-
                      目标的垃圾信息评分。如果目标是域名/子域名，此字段表示该域名/子域名下所有页面的平均垃圾信息评分；有关此指标计算方式的更多信息，请参阅此帮助中心页面
                  tasks.result.internal_links_count:
                    type: integer
                    description: 内部链接数量，按指定目标页面上的内部链接总数计算
                  tasks.result.external_links_count:
                    type: integer
                    description: 页面上的外部链接数量，按指定目标页面上的外部链接总数计算
                  tasks.result.broken_backlinks:
                    type: integer
                    description: 失效反向链接数量，即指向目标的失效反向链接数量
                  tasks.result.broken_pages:
                    type: integer
                    description: >-
                      失效页面数量，即目标中返回 4xx 或 5xx
                      状态码的页面数量。请注意，失效页面数量包括通过外部链接发现的目标页面，也可能包括通过目标站点地图发现的页面
                  tasks.result.referring_domains:
                    type: integer
                    description: 表示引用域名的数量；对于此指标，引用域名包括被计为独立域名的子域名
                  tasks.result.referring_domains_nofollow:
                    type: integer
                    description: 至少有一个 nofollow 链接指向目标的域名数量
                  tasks.result.referring_main_domains:
                    type: integer
                    description: 指示引用主域名的数量
                  tasks.result.referring_main_domains_nofollow:
                    type: integer
                    description: 至少有一个 nofollow 链接指向目标的主域名数量
                  tasks.result.referring_ips:
                    type: integer
                    description: 引用 IP 地址数量，即指向此页面的 IP 地址数量
                  tasks.result.referring_subnets:
                    type: integer
                    description: 引用子网数量
                  tasks.result.referring_pages:
                    type: integer
                    description: 表示指向目标的页面数量
                  tasks.result.referring_links_tld:
                    type: object
                    description: 引荐链接的顶级域名，包含各顶级域名及其对应的引荐链接数量
                  tasks.result.referring_links_types:
                    type: object
                    description: >-
                      引荐链接类型，表示引荐链接的类型及每种类型的链接数量。可选值：anchor、image、link、meta、canonical、alternate、redirect
                  tasks.result.referring_links_attributes:
                    type: object
                    description: >-
                      引用链接的链接属性。表示引用链接的链接属性以及每种属性对应的链接数量。示例值：nofollow、noopener、noreferrer、external、ugc、sponsored
                  tasks.result.referring_links_platform_types:
                    type: object
                    description: >-
                      引荐平台类型，表示引荐平台的类型以及各平台的链接数量。可选值：cms、blogs、ecommerce、message-boards、wikis、news、organization
                  tasks.result.referring_links_semantic_locations:
                    type: object
                    description: >-
                      引用链接的语义位置，表示引用链接所在的 HTML
                      语义元素，以及每个语义位置的链接数量。可在此处获取完整的语义元素列表。示例值：article、section、summary、""
                  tasks.result.referring_links_countries:
                    type: object
                    description: 引用链接的 ISO 国家/地区代码，表示引用链接所在域名的 ISO 国家/地区代码以及每个国家/地区的链接数量
                  tasks.result.referring_pages_nofollow:
                    type: integer
                    description: 至少有一个 nofollow 链接指向目标的引用页面数量
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````